#pragma once

#include <Fenster.h>
#include <Knopf.h>

class OptionsWindow : public Framework::Fenster
{
private:
    std::function<void()> onOptionsOpen;
    Framework::Knopf* optionsButton;
    
public:
    OptionsWindow(std::function<void()> onOptionsOpen);
    ~OptionsWindow();

    virtual void doMausEreignis(Framework::MausEreignis& me, bool userRet) override;
    virtual bool tick(double time) override;
    virtual void render(Framework::Bild& rObj) override;
};